#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 hOpenPGP
version:              2.10.0
visibility:           public
id:                   hOpenPGP-2.10.0-KYlrArIJYRJgQxFImUTWC
key:                  hOpenPGP-2.10.0-KYlrArIJYRJgQxFImUTWC
license:              MIT
copyright:            2012-2024  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  97ea5da4510121fdd7a55d29ad80b90f
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Crypton
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptonNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs

import-dirs:          /usr/lib/ghc-9.4.8/site-local/hOpenPGP-2.10.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/hOpenPGP-2.10.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/hOpenPGP-2.10.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hopenpgp
hs-libraries:         HShOpenPGP-2.10.0-KYlrArIJYRJgQxFImUTWC
depends:
    aeson-2.1.2.1-Ex7WnNUT1auEGSF1Md5zyM
    asn1-encoding-0.9.6-9W1OMJ4Fk3k35RnRXbjhBl
    attoparsec-0.14.4-4lxImiie977LVZ07Q4RuOa base-4.17.2.1
    base16-bytestring-1.0.2.0-IoYBHRVZawc2xOK7jNUhg3
    bifunctors-5.6-HxUPkz85tzyAURommy1DZ0 binary-0.8.9.1
    binary-conduit-1.3.1-L0R28X22c9C131JpHCB7yu bytestring-0.11.5.3
    bz2-1.0.1.1-GXK1E4qzfqA3Cv02p8hIZm
    conduit-1.3.6.1-IZ8OSXmnRyPK1N2pz1JDDM
    conduit-extra-1.3.6-FeP3PJUxzIFFgQ0giCiqnz containers-0.6.7
    crypto-cipher-types-0.0.9-56ZYVGDFxwtG8TJEc7UjH2
    crypton-0.34-CWJD387iPecLF7RH62snLK
    errors-2.3.0-KGhDXFWXHmF8g7xXQMkJGj
    hashable-1.4.4.0-G3df7eBPFu1LRujEcYqf5c
    incremental-parser-0.5.1-Dr7tagflg4gLBzultu6PAi
    ixset-typed-0.5.1.0-2HlCUaLv3g81DpPa6E8km6
    lens-5.2.3-3fSsMRucgnZ99PomxyWs7a
    memory-0.18.0-1oHOZXUPjWrG0kImkORGvt
    monad-loops-0.4.3-KaRiS5mJjkQ1zBkxxbNC2Z
    nettle-0.3.1.1-1YbDn5AJWxHLXr6DClLuRr
    network-uri-2.6.4.2-BIKL9TLrelsK4TaGh1MfNw
    openpgp-asciiarmor-0.1.2-ErpMb8Au6N27r66JU55euU
    prettyprinter-1.7.1-5dDyiINWv3JvkTPn41dcY
    resourcet-1.2.6-IGynvl9svIK6TArSccG3vI
    split-0.2.5-8MbgSD03gYABvLDzr4SwW7 text-2.0.2 time-1.12.2
    time-locale-compat-0.1.1.5-1zJhxgkP2bvGiOhYof1wNA
    transformers-0.5.6.2 unliftio-core-0.2.1.0-1JwPsdkrVim6892Z5vBeIT
    unordered-containers-0.2.20-EFINKuAnn2VCsrMAVqSNI6
    zlib-0.6.3.0-BiybplsoGtR4omJIkpUbuX

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

